Obtener el estado de la transacción
curl --request GET \
--url https://api.stage.localpayment.com/api/transactions/{externalId}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/transactions/{externalId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/transactions/{externalId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/transactions/{externalId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/transactions/{externalId}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/transactions/{externalId}/status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/transactions/{externalId}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"internalId": "c948f6de-3082-4e64-bd30-916799cc56ea",
"externalId": "123456",
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "INTERNAL TRANSFER"
}
}
Transacciones
Obtener el estado de la transacción
GET
/
api
/
transactions
/
{externalId}
/
status
Obtener el estado de la transacción
curl --request GET \
--url https://api.stage.localpayment.com/api/transactions/{externalId}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/transactions/{externalId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/transactions/{externalId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/transactions/{externalId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/transactions/{externalId}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/transactions/{externalId}/status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/transactions/{externalId}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"internalId": "c948f6de-3082-4e64-bd30-916799cc56ea",
"externalId": "123456",
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "INTERNAL TRANSFER"
}
}
Obtén actualizaciones de estado en tiempo real de cualquier transacción asociada a tu cuenta de Localpayment para monitorear su progreso actual.
Autorizaciones
Encabezados
Token de acceso Bearer para la autenticación. Este token se obtiene de los endpoints Get Access Token o Refresh Access Token.
Parámetros de ruta
ID generado de tu lado para la trazabilidad de las transacciones. Debe ser único y solo acepta caracteres alfanuméricos y guiones (por ejemplo, UUID4). También puedes consultar el estado de una transacción mediante su ID interno.
Pattern:
[a-zA-Z0-9\- ]+Ejemplo:
"53025bf4-4c87-4b4f-8fea-b47004440f37"
Respuesta
OK
Última modificación el 10 de noviembre de 2026

